Get analytics
curl --request GET \
--url https://eu.phrase.com/quality-evaluator/v1/analytics \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu.phrase.com/quality-evaluator/v1/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.phrase.com/quality-evaluator/v1/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"qualityProfileUid": "6804b1c2d3e4f5a6b7c80123",
"day": "2024-03-20T00:00:00Z",
"sumProcessed": 1250,
"sumLocked": 980,
"sumAiuConsumed": 3750,
"sumConfirmed": 880
},
{
"qualityProfileUid": "6804b1c2d3e4f5a6b7c80123",
"day": "2024-03-19T00:00:00Z",
"sumProcessed": 890,
"sumLocked": 710,
"sumAiuConsumed": 2670,
"sumConfirmed": 610
}
]
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied"
}{
"type": "urn:problem-type:forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Insufficient permissions to perform this action"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied",
"instance": "<string>"
}Analytics
Get analytics
Returns aggregated daily evaluation rollup data for the caller’s organization, optionally filtered by date range.
Requires ADMIN or OWNER IDM role.
GET
/
v1
/
analytics
Get analytics
Authorizations
Use a Bearer token obtained from Phrase Platform authentication. See the Authentication guide for details on how to obtain a token.
Query Parameters
Filter results to a specific Quality Profile. Omit to return data across all profiles. Evaluations run through a Content Group are not tied to a Quality Profile.
Start of the date range, inclusive (UTC). Defaults to the first day of 11 months ago (UTC) if not provided.
End of the date range, inclusive (UTC). Defaults to today (UTC) if not provided.
Response
Analytics data.
Show child attributes
Show child attributes
Was this page helpful?